/**
 * Created by Administrator on 2017/5/7.
 */
$(function () {
    //加载城市事件
    $('.container').show();
//选择城市 start
    $('body').on('click', '.city-list p', function () {
        //alert($(this).html())
    });
	var offon = true;
	$(window).scroll(function () {
		if(offon){
			$('.city-list .city-letter').each(function() {
               var _tops = $(window).scrollTop();
			   var _height = $(this).offset().top; 
			   if(_height > _tops-400){
				  var m = $(this).html();
				  $("#showLetter span").html(m);
        		  $("#showLetter").show().delay(500).hide(0);
				   return false;
				   }
            });
			}
		});
    //点击索引查询城市
    $('body').on('click', '.letter a', function () {
		offon = false;
        var s = $(this).html();
		$('body,html').animate({scrollTop:$('#' + s + '1').offset().top-45},500,function(){
			offon = true;
			})
        $("#showLetter span").html(s);
        $("#showLetter").show().delay(500).hide(0);
    });
     //中间的标记显示
   
	
	

})